$('.datepicker').datepicker({
    format    : 'dd/mm/yyyy',
    endDate   : '0d',
    autoclose : true,
    language  : 'pt-BR',
});

$('.datepicker').mask('00/00/0000');

function carregar_dados() {
    $(document).ready(function () {
        var dados = jQuery('#formHome').serialize();
        jQuery.ajax({
            type : 'POST',
            url : 'action/atualizar_geral_comparacao',
            data : dados,
            success : function (data) {

                $('.preloader').css({display : 'none'});
                if (data == '-1') {
                    window.location.href = './';
                    return;
                }
                if (data.substring(0, 2) == '-2') {
                    toastr.clear();
                    toastr.error(data.substring(2));
                    return;
                }
                var json = JSON.parse(data);
                // console.log(json);

                let colunas = '';
                let contadorHover = 0;
                for (let i = 0; i < json.length; i++) {
                    colunas += `
                    <div class="col-xl-3 col-lg-3 col-md-6 col-sm-12 col-xs-12">
                        <div class="box" style="${json[i].checked ? 'box-shadow: 0px 0px 0px 6px #0d7ebb99;' : ''}">
                            <div class="box-header with-border">
                                <!--h3 class="box-title">Período ${i+1}</h3-->
                                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                    <!--div class="checkbox">
                                        <label>
                                            <input type="radio" name="destaque" id="switch" class="buscarAPI" value="${i}" onclick="atualizar()" ${json[i].checked}>
                                            ${i+1}
                                        </label>
                                    </div-->
                                </div>
                                <div class="checkbox-field">
                                    <input type="radio" name="destaque" id="switch${i+1}" value="${i}" ${json[i].checked}><label for="switch${i+1}">Período ${i+1}</label>
                                </div>
                            </div>
                            <div class="datas sticky">${ json[i].datainicial === json[i].datafinal ? json[i].datainicial : json[i].datainicial+' ➜ '+json[i].datafinal}</div>
                            <div class="box-body">
                                <div class="row">
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="tooltip-info" data-tip="Porcentagem de quantas vezes seu anúncio ficou no topo em 1º lugar na busca">
                                                    <div class="icone-info"><i class="fa fa-info-circle"></i></div>
                                                </span>
                                                <span class="info-box-icon bg-marsala"><img src="./../img/topo.svg" alt="Topo" width="32px"></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">% no 1º lugar</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_impressoes_topo0">
                                                            ${json[i].ads_impressoes_topo[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_impressoes_topo[4]}">${json[i].ads_impressoes_topo[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_impressoes_topo[4]}">${json[i].ads_impressoes_topo[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_impressoes_topo[4]}">${json[i].ads_impressoes_topo[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="tooltip-info" data-tip="Porcentagem de quantas vezes seu anúncio ficou no topo entre os 4 primeiros lugares na busca">
                                                    <div class="icone-info"><i class="fa fa-info-circle"></i></div>
                                                </span>
                                                <span class="info-box-icon bg-marsala"><img src="./../img/topo4.svg" alt="Topo 4" width="40px"></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">% entre os 4 primeiros</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_impressoes_4_primeiros0">
                                                            ${json[i].ads_impressoes_4_primeiros[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_impressoes_4_primeiros[4]}">${json[i].ads_impressoes_4_primeiros[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_impressoes_4_primeiros[4]}">${json[i].ads_impressoes_4_primeiros[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_impressoes_4_primeiros[4]}">${json[i].ads_impressoes_4_primeiros[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-cinza-azulado"><i class="fa fa-bar-chart"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">% CONTATOS / ACESSOS</span>
                                                    <div class="info-box-number">
                                                        <span id="real_taxa_conversao0">
                                                            ${json[i].real_taxa_conversao[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].real_taxa_conversao[4]}">${json[i].real_taxa_conversao[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].real_taxa_conversao[4]}">${json[i].real_taxa_conversao[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].real_taxa_conversao[4]}">${json[i].real_taxa_conversao[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="tooltip-info" data-tip="Valores arredondados">
                                                    <div class="icone-info"><i class="fa fa-info-circle"></i></div>
                                                </span>
                                                <span class="info-box-icon bg-cinza-azulado"><i class="fa fa-bar-chart"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">ANÚNCIOS / CONTATO</span>
                                                    <div class="info-box-number">
                                                        <span id="real_impressoes_por_contato0">
                                                            ${json[i].real_impressoes_por_contato[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].real_impressoes_por_contato[4]}">${json[i].real_impressoes_por_contato[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].real_impressoes_por_contato[4]}">${json[i].real_impressoes_por_contato[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].real_impressoes_por_contato[4]}">${json[i].real_impressoes_por_contato[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-cinza-azulado"><i class="fa fa-bar-chart"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">CLIQUES / CONTATO</span>
                                                    <div class="info-box-number">
                                                        <span id="real_cliques_por_contato0">
                                                            ${json[i].real_cliques_por_contato[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].real_cliques_por_contato[4]}">${json[i].real_cliques_por_contato[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].real_cliques_por_contato[4]}">${json[i].real_cliques_por_contato[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].real_cliques_por_contato[4]}">${json[i].real_cliques_por_contato[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-orange"><i class="fa fa-usd"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">Custo Por Contato</span>
                                                    <div class="info-box-number">
                                                        <span id="real_custo_por_lead0">
                                                            ${json[i].real_custo_por_lead[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].real_custo_por_lead[4]}">${json[i].real_custo_por_lead[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].real_custo_por_lead[4]}">${json[i].real_custo_por_lead[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].real_custo_por_lead[4]}">${json[i].real_custo_por_lead[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-green"><i class="fa fa-envelope"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">Formulários</span>
                                                    <div class="info-box-number">
                                                        <span id="forms0">
                                                            ${json[i].forms[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].forms[4]}">${json[i].forms[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].forms[4]}">${json[i].forms[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].forms[4]}">${json[i].forms[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-green"><i class="fa fa-whatsapp"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">WhatsApps</span>
                                                    <div class="info-box-number">
                                                        <span id="whatsapp0">
                                                            ${json[i].whatsapp[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].whatsapp[4]}">${json[i].whatsapp[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].whatsapp[4]}">${json[i].whatsapp[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].whatsapp[4]}">${json[i].whatsapp[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-green"><i class="fa fa-phone"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">Ligações</span>
                                                    <div class="info-box-number">
                                                        <span id="ligacoes0">
                                                            ${json[i].ligacoes[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ligacoes[4]}">${json[i].ligacoes[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ligacoes[4]}">${json[i].ligacoes[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ligacoes[4]}">${json[i].ligacoes[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-verde-escuro-fosco"><i class="fa fa-th"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">Total de Contatos</span>
                                                    <div class="info-box-number">
                                                        <span id="real_total_contatos0">
                                                            ${json[i].real_total_contatos[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].real_total_contatos[4]}">${json[i].real_total_contatos[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].real_total_contatos[4]}">${json[i].real_total_contatos[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].real_total_contatos[4]}">${json[i].real_total_contatos[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-azul-fosco"><i class="fa fa-mouse-pointer"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">ACESSOS AO SITE</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_cliques0">
                                                            ${json[i].ads_cliques[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_cliques[4]}">${json[i].ads_cliques[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_cliques[4]}">${json[i].ads_cliques[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_cliques[4]}">${json[i].ads_cliques[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-azul-fosco"><img src="./../img/acessos-anuncios-ctr.svg" alt="% ACESSOS / ANÚNCIOS (CTR)" width="26px"></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">% ACESSOS / ANÚNCIOS (CTR)</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_ctr0">
                                                            ${json[i].ads_ctr[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_ctr[4]}">${json[i].ads_ctr[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_ctr[4]}">${json[i].ads_ctr[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_ctr[4]}">${json[i].ads_ctr[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-azul-fosco"><img src="./../img/cpc.svg" alt="CPC" width="30px"></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">CUSTO POR CLIQUE (CPC)
                                                    </span>
                                                    <div class="info-box-number">
                                                        <span id="ads_media_cpc0">
                                                            ${json[i].ads_media_cpc[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_media_cpc[4]}">${json[i].ads_media_cpc[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_media_cpc[4]}">${json[i].ads_media_cpc[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_media_cpc[4]}">${json[i].ads_media_cpc[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="tooltip-info" data-tip="Valores arredondados">
                                                    <div class="icone-info"><i class="fa fa-info-circle"></i></div>
                                                </span>
                                                <span class="info-box-icon bg-cinza-azulado-claro"><img src="./../img/conversao.svg" alt="Conv. Google" width="32px"></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">Conv. Google</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_conversions0">
                                                            ${json[i].ads_conversions[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_conversions[4]}">${json[i].ads_conversions[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_conversions[4]}">${json[i].ads_conversions[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_conversions[4]}">${json[i].ads_conversions[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-cinza-azulado-claro"><img src="./../img/conversao-porc.svg" alt="% Conv. Google" width="40px"></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">% Conv. Google</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_taxa_conversao0">
                                                            ${json[i].ads_taxa_conversao[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_taxa_conversao[4]}">${json[i].ads_taxa_conversao[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_taxa_conversao[4]}">${json[i].ads_taxa_conversao[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_taxa_conversao[4]}">${json[i].ads_taxa_conversao[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-cinza-azulado-claro"><i class="fa fa-usd"></i></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">R$ Conv. Google</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_media_conversao_valor0">
                                                            ${json[i].ads_media_conversao_valor[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_media_conversao_valor[4]}">${json[i].ads_media_conversao_valor[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_media_conversao_valor[4]}">${json[i].ads_media_conversao_valor[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_media_conversao_valor[4]}">${json[i].ads_media_conversao_valor[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                        <div class="info-box hover${contadorHover++}">
                                            <div class="hover-item">
                                                <span class="info-box-icon bg-cinza-azulado-escuro"><img src="./../img/total.svg" alt="Total Investido Google" width="40px"></span>
                                                <div class="info-box-content info-box-content-custom">
                                                    <span class="info-box-text">Total Investido Google</span>
                                                    <div class="info-box-number">
                                                        <span id="ads_custo_total0">
                                                            ${json[i].ads_custo_total[0]}
                                                        </span>
                                                        <div class="grid-dados-calculados">
                                                            <div class="div0 ${'txt-'+json[i].ads_custo_total[4]}">${json[i].ads_custo_total[1]}</div>
                                                            ${json[i].checked ? `` : `<div class="div1 ${'txt-'+json[i].ads_custo_total[4]}">${json[i].ads_custo_total[2]}</div>`}
                                                            <div class="div2 ${'bg-'+json[i].ads_custo_total[4]}">${json[i].ads_custo_total[3]}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    `;

                    contadorHover = 0;
                }
                
                let scriptsHover = '<script>';
                for (let i = 0; i <= 16; i++) {
                    scriptsHover += `$(".hover${i}")
                    .mouseenter(function() {$(".hover${i}").css({'box-shadow': '2px 4px 11px 4px rgb(0 0 0 / 35%)'});})
                    .mouseleave(function() {$(".hover${i}").css({'box-shadow': 'none'});});`;
                }
                scriptsHover += '</script>';

                let stickyDatas = `
                <script>
                    let stickyTop = $('.sticky').offset().top;
                    $(window).scroll(function() {
                        let windowTop = $(window).scrollTop();
                        if (stickyTop < windowTop && $('.referencia-fixar-datas').height() + $('.referencia-fixar-datas').offset().top - $(".sticky").height() > windowTop) {
                            $('.sticky').css('position', 'fixed');
                            $('.sticky').css('marginTop', '50px');
                            $('.sticky').css({'box-shadow': '4px 4px 10px 6px rgb(0 0 0 / 23%)'});
                            $('.sticky').css('marginLeft', '-6px');
                        } else {
                            $('.sticky').css('position', 'relative');
                            $('.sticky').css('marginTop', '0px');
                            $('.sticky').css({'box-shadow': '0px 0px 0px 0px rgb(0 0 0 / 0%)'});
                            $('.sticky').css('marginLeft', '0px');
                        }
                    });
                </script>`;
                
                $('#periodos').html(colunas+scriptsHover+`<script>$('#switch1, #switch2, #switch3, #switch4').change(function () {
                    atualizar();
                });</script>`+stickyDatas);
                
            },
            
            beforeSend : function () {
                $('.info-box-number').html('<div class="preloader"><i class="fa fa-refresh fa-spin"></i></div>');
                $('.preloader').css({display : 'block'});
            },
            complete : function () {
                $('.preloader').css({display : 'none'});
            },
            error : function () {
                $('.preloader').css({display : 'none'});
                toastr.clear();
                toastr.error('Houve um erro ao atualizar');
                return;
            },
        });
    });
}

function atualizar() {
    // var valor = $('#data').val();
    // if (valor == 'CUSTOM_DATE')
    //     $('.datadiv').removeClass('hide');
    // else {
        $('.datadiv').addClass('hide');
        carregar_dados();
        salvarFiltro(
            "COMPARACAO",
            $('#datainicial1').val(), $('#datafinal1').val(),
            $('#datainicial2').val(), $('#datafinal2').val(),
            $('#datainicial3').val(), $('#datafinal3').val(),
            $('#datainicial4').val(), $('#datafinal4').val()
        );
    // }
}

pegarFiltro(function (filtro, data1, data2, data3 = "", data4 = "", data5 = "", data6 = "", data7 = "", data8 = "") {
    $('#data').val(filtro);
    $('#datainicial1').val(data1);
    $('#datafinal1').val(data2);

    $('#datainicial2').val(data3);
    $('#datafinal2').val(data4);
    $('#datainicial3').val(data5);
    $('#datafinal3').val(data6);
    $('#datainicial4').val(data7);
    $('#datafinal4').val(data8);

    // if (filtro == 'CUSTOM_DATE'){
    //     $('.datadiv').removeClass('hide');
    //     // carregar_dados();
    // }
});

$('#switch1, #switch2, #switch3, #switch4').change(function () {
    atualizar();
});

$('#datapersonalizada').click(function () {
    salvarFiltro(
        "COMPARACAO",
        $('#datainicial1').val(), $('#datafinal1').val(),
        $('#datainicial2').val(), $('#datafinal2').val(),
        $('#datainicial3').val(), $('#datafinal3').val(),
        $('#datainicial4').val(), $('#datafinal4').val()
    );
    carregar_dados();
});
